const restify = require('restify')
const cors = require('./cors')
const router = require('../http/routes')
const database = require('../database')

const server = restify.createServer()

server.pre(cors.preflight)
server.use(cors.actual)
server.use(restify.plugins.bodyParser())

database.then(db => {
  router(server, db)
}, error => {
  console.error('Falha ao conectar com o banco de dados, verifique as configurações.')
})

module.exports = server
